<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Certificate Handling Utilities</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__cert__utils__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_CERT_UTILS_MODULE</name>
      <anchorfile>group__globus__gsi__cert__utils__activation.html</anchorfile>
      <anchor>gb2c0bccb5947da250652147edc16246f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils</name>
    <title>Cert Utils Functions</title>
    <filename>group__globus__gsi__cert__utils.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_cert_utils_get_eec</name>
      <anchorfile>group__globus__gsi__cert__utils.html</anchorfile>
      <anchor>g595e5baed17527640bee23459f0a59d9</anchor>
      <arglist>(STACK_OF(X509)*cert_chain, X509 **eec)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_cert_utils_constants</name>
    <title>Cert Utils Constants</title>
    <filename>group__globus__gsi__cert__utils__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_error_t</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>g454d855a8b914341d581988aeafcc7c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_SUCCESS</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c9e55dee78a9fe2e8bdf0b02b7c1dc0b6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_NAME_ENTRY_OF_SUBJECT</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c944c2074df40a580c2fa7c91e51f2bf96</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_COPYING_SUBJECT</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c9f2cd1c061e254a7b8b84eb2b138cd27a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_GETTING_CN_ENTRY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c98cad526e921b69133dde02d32a01193d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_ADDING_CN_TO_SUBJECT</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c9778b3ec8c4ba3f89dfdb5e0bea141da5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_OUT_OF_MEMORY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c95c462717b92a04c6b10b0f967a0a957c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_UNEXPECTED_FORMAT</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c9cd42c0b1faef207ce0cb748dd1557a06</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_NON_COMPLIANT_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c9f967a145f67c8037887bb1a40182f1e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_DETERMINING_CERT_TYPE</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c936d9fddeabdef427387bb5bee8892147</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_ERROR_LAST</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg454d855a8b914341d581988aeafcc7c9f334a7f6b88972a5f4d52f5ba50c93af</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gsi_cert_utils_cert_type_e</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>g64aeeacee4703f8db7894cda30e44c61</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_DEFAULT</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c617da2c37b3a7a47b1e05db6adbe6c1a57</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_EEC</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61086a84922b937c2df73fbdb2ccb239db</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_CA</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61ebc44c58dc32d7263a16e563fe43d68e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61ff73dee3393860ba3b0872159a07c2c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61bf20bd9546e41ce76122e03bedf155b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c616da9319080a06d9cee179c3fd7021a7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_FORMAT_MASK</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61819ecaf28a5d42d107c6e46370643c31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_IMPERSONATION_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61917a5d402d54658073c861abcddc0906</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_LIMITED_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c610b84f29c8fd1d703d6d4744603ad8932</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RESTRICTED_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c619ab4905cc97efe27a19e8677dfce6560</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_INDEPENDENT_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c618b0fa012953f430fdbde4c26b3e2fed7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_PROXY_MASK</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61a1fdc1d835d18f9d1b1f881a4e890be7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_IMPERSONATION_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61ed9d4d74ebd4d9b8f19ba5f99c156a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_INDEPENDENT_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61db7d684db0060dd90cd363ee34b64042</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_LIMITED_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c612b3e123e064e1c3cb4b32b3e4a521892</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_3_RESTRICTED_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c610af256efdafca3dafb57f40d47fc4310</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61c605627914182bb10d536350a4b3e153</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_GSI_2_LIMITED_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c6161c6eb2eeefb2547ed721963581eb065</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_IMPERSONATION_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61657960bfff6e84cadcf3d21d173e7a00</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_INDEPENDENT_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c619886cecbdb1f7a55d2460f27070ed358</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_LIMITED_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61b06e5aeb88ca1515c36c069d1421295b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_CERT_UTILS_TYPE_RFC_RESTRICTED_PROXY</name>
      <anchorfile>group__globus__gsi__cert__utils__constants.html</anchorfile>
      <anchor>gg64aeeacee4703f8db7894cda30e44c61d1b5712ff2afec9d38014dad5096cef0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
